## com.saxonica.stream.feed
Class DistinctValuesFeed

    java.lang.Object
      com.saxonica.stream.feed.ItemFeed
          com.saxonica.stream.feed.DistinctValuesFeed

All Implemented Interfaces:
  Feed

    public class DistinctValuesFeed

extends ItemFeed

This class is used when a streaming template requests evaluation of the distinct-values() of the nodes selected by a path expression

Constructor Summary
`DistinctValuesFeed(Expression expr, Feed result, Stack<XPathContext> contextStack)`

Method Summary
`void` `append(Item item)` Supply an item to the feed
`void` `open()` Start evaluating the expression.

Methods inherited from class com.saxonica.stream.feed.ItemFeed
`close, getContext, getContextStack, getExpression, getPipelineConfiguration, getResult, setPipelineConfiguration`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DistinctValuesFeed

    public DistinctValuesFeed(Expression expr,
                              Feed result,
                              Stack<XPathContext> contextStack)

Method Detail

### open

    public void open()
              throws XPathException

  Description copied from class: `ItemFeed`
  Start evaluating the expression. The default implementation does nothing.

  Specified by:
    `open` in interface `Feed`
  Overrides:
    `open` in class `ItemFeed`
  Throws:
    `XPathException` - if a dynamic error occurs

### append

    public void append(Item item)
                throws XPathException

  Supply an item to the feed

  Specified by:
    `append` in interface `Feed`
  Specified by:
    `append` in class `ItemFeed`
  Parameters:
    `item` - the item being fed
  Throws:
    `XPathException` - to report any failure

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.